diff --git a/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs b/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
index 40da4d6..a312a40 100644
--- a/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
+++ b/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
@@ -1,105 +1,105 @@
-// Copyright 2004-2011 Castle Project - http://www.castleproject.org/
-// 
-// Licensed under the Apache License, Version 2.0 (the "License");
-// you may not use this file except in compliance with the License.
-// You may obtain a copy of the License at
-// 
-//     http://www.apache.org/licenses/LICENSE-2.0
-// 
-// Unless required by applicable law or agreed to in writing, software
-// distributed under the License is distributed on an "AS IS" BASIS,
-// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-// See the License for the specific language governing permissions and
-// limitations under the License.
-
-namespace Castle.DynamicProxy.Tests
-{
-	using System;
-
-	using Castle.DynamicProxy.Tests.GenClasses;
-	using Castle.DynamicProxy.Tests.GenInterfaces;
-	using Castle.DynamicProxy.Tests.InterClasses;
-	using Castle.DynamicProxy.Tests.Interceptors;
-
-	using NUnit.Framework;
-
-	[TestFixture]
-	public class GenericMethodsProxyTestCase : BasePEVerifyTestCase
-	{
-		[Test]
-		[Platform(Exclude = "mono", Reason = "Assertion at sgen-alloc.c:460, condition `*p == NULL' not met. " +
-			"Fixed in https://bugzilla.xamarin.com/show_bug.cgi?id=28182")]
-		public void GenericMethod_WithArrayOfGenericOfGenericArgument()
-		{
-			var proxy = generator.CreateClassProxy<ClassWithMethodWithArrayOfListOfT>();
-			proxy.GenericMethodWithListArrayArgument<string>(null);
-		}
-
-		[Test]
-#if __MonoCS__
-		[Ignore("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
-#endif
-		public void GenericMethod_WithConstraintOnOtherParameter()
-		{
-			var type = typeof(IInterfaceWithGenericMethodWithDependentConstraint);
-
-			var interceptor = new KeepDataInterceptor();
-			var proxy = (IInterfaceWithGenericMethodWithDependentConstraint)
-			            generator.CreateInterfaceProxyWithoutTarget(type, new Type[] { }, interceptor);
-
-			proxy.RegisterType<object, string>();
-
-			var expectedMethod =
-				typeof(IInterfaceWithGenericMethodWithDependentConstraint).GetMethod("RegisterType").MakeGenericMethod(
-					typeof(object), typeof(string));
-
-			Assert.AreEqual(expectedMethod, interceptor.Invocation.Method);
-		}
-
-		[Test]
-#if __MonoCS__
-		[Ignore("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
-#endif
-		public void GenericMethod_WithConstraintOnSurroundingTypeParameter()
-		{
-			var type = typeof(IGenericInterfaceWithGenericMethodWithDependentConstraint<object>);
-
-			var interceptor = new KeepDataInterceptor();
-			var proxy = (IGenericInterfaceWithGenericMethodWithDependentConstraint<object>)
-			            generator.CreateInterfaceProxyWithoutTarget(type, new Type[] { }, interceptor);
-
-			proxy.RegisterType<string>();
-
-			var expectedMethod =
-				typeof(IGenericInterfaceWithGenericMethodWithDependentConstraint<object>).GetMethod("RegisterType").
-					MakeGenericMethod(typeof(string));
-
-			Assert.AreEqual(expectedMethod, interceptor.Invocation.Method);
-		}
-
-		[Test]
-		[Platform(Exclude = "mono", Reason = "Assertion at sgen-alloc.c:460, condition `*p == NULL' not met. " +
-			"Fixed in https://bugzilla.xamarin.com/show_bug.cgi?id=28182")]
-		public void GenericMethod_WithGenericOfGenericArgument()
-		{
-			var proxy = generator.CreateClassProxy<ClassWithMethodWithGenericOfGenericOfT>();
-			proxy.GenericMethodWithGenericOfGenericArgument<string>(null);
-		}
-
-		[Test]
-		public void ProxyAdditionalInterfaceWithGenericMethods()
-		{
-			var proxy = (IService)generator.CreateInterfaceProxyWithoutTarget(
-				typeof(IService), new[] { typeof(OnlyGenMethodsInterface) },
-				new StandardInterceptor());
-
-			Assert.IsNotNull(proxy);
-		}
-
-		[Test]
-		public void ProxyInterfaceWithGenericMethodWithTwoGenericParametersWhereOneIsBaseToAnother()
-		{
-			generator.CreateInterfaceProxyWithoutTarget<GenericMethodWhereOneGenParamInheritsTheOther>();
-		}
-	}
+// Copyright 2004-2011 Castle Project - http://www.castleproject.org/
+// 
+// Licensed under the Apache License, Version 2.0 (the "License");
+// you may not use this file except in compliance with the License.
+// You may obtain a copy of the License at
+// 
+//     http://www.apache.org/licenses/LICENSE-2.0
+// 
+// Unless required by applicable law or agreed to in writing, software
+// distributed under the License is distributed on an "AS IS" BASIS,
+// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// See the License for the specific language governing permissions and
+// limitations under the License.
+
+namespace Castle.DynamicProxy.Tests
+{
+	using System;
+
+	using Castle.DynamicProxy.Tests.GenClasses;
+	using Castle.DynamicProxy.Tests.GenInterfaces;
+	using Castle.DynamicProxy.Tests.InterClasses;
+	using Castle.DynamicProxy.Tests.Interceptors;
+
+	using NUnit.Framework;
+
+	[TestFixture]
+	public class GenericMethodsProxyTestCase : BasePEVerifyTestCase
+	{
+		[Test]
+		//		[Platform(Exclude = "mono", Reason = "Assertion at sgen-alloc.c:460, condition `*p == NULL' not met. " +
+//			"Fixed in https://bugzilla.xamarin.com/show_bug.cgi?id=28182")]
+		public void GenericMethod_WithArrayOfGenericOfGenericArgument ()
+		{
+			var proxy = generator.CreateClassProxy<ClassWithMethodWithArrayOfListOfT> ();
+			proxy.GenericMethodWithListArrayArgument<string> (null);
+		}
+
+		[Test]
+#if __MonoCS__
+		[Ignore ("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
+		#endif
+		public void GenericMethod_WithConstraintOnOtherParameter ()
+		{
+			var type = typeof(IInterfaceWithGenericMethodWithDependentConstraint);
+
+			var interceptor = new KeepDataInterceptor ();
+			var proxy = (IInterfaceWithGenericMethodWithDependentConstraint)
+			            generator.CreateInterfaceProxyWithoutTarget (type, new Type[] { }, interceptor);
+
+			proxy.RegisterType<object, string> ();
+
+			var expectedMethod =
+				typeof(IInterfaceWithGenericMethodWithDependentConstraint).GetMethod ("RegisterType").MakeGenericMethod (
+					typeof(object), typeof(string));
+
+			Assert.AreEqual (expectedMethod, interceptor.Invocation.Method);
+		}
+
+		[Test]
+#if __MonoCS__
+		[Ignore ("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
+		#endif
+		public void GenericMethod_WithConstraintOnSurroundingTypeParameter ()
+		{
+			var type = typeof(IGenericInterfaceWithGenericMethodWithDependentConstraint<object>);
+
+			var interceptor = new KeepDataInterceptor ();
+			var proxy = (IGenericInterfaceWithGenericMethodWithDependentConstraint<object>)
+			            generator.CreateInterfaceProxyWithoutTarget (type, new Type[] { }, interceptor);
+
+			proxy.RegisterType<string> ();
+
+			var expectedMethod =
+				typeof(IGenericInterfaceWithGenericMethodWithDependentConstraint<object>).GetMethod ("RegisterType").
+					MakeGenericMethod (typeof(string));
+
+			Assert.AreEqual (expectedMethod, interceptor.Invocation.Method);
+		}
+
+		[Test]
+		//		[Platform(Exclude = "mono", Reason = "Assertion at sgen-alloc.c:460, condition `*p == NULL' not met. " +
+//			"Fixed in https://bugzilla.xamarin.com/show_bug.cgi?id=28182")]
+		public void GenericMethod_WithGenericOfGenericArgument ()
+		{
+			var proxy = generator.CreateClassProxy<ClassWithMethodWithGenericOfGenericOfT> ();
+			proxy.GenericMethodWithGenericOfGenericArgument<string> (null);
+		}
+
+		[Test]
+		public void ProxyAdditionalInterfaceWithGenericMethods ()
+		{
+			var proxy = (IService)generator.CreateInterfaceProxyWithoutTarget (
+				            typeof(IService), new[] { typeof(OnlyGenMethodsInterface) },
+				            new StandardInterceptor ());
+
+			Assert.IsNotNull (proxy);
+		}
+
+		[Test]
+		public void ProxyInterfaceWithGenericMethodWithTwoGenericParametersWhereOneIsBaseToAnother ()
+		{
+			generator.CreateInterfaceProxyWithoutTarget<GenericMethodWhereOneGenParamInheritsTheOther> ();
+		}
+	}
 }
\ No newline at end of file
diff --git a/src/Castle.Core.Tests/TraceLoggerTests.cs b/src/Castle.Core.Tests/TraceLoggerTests.cs
index f31e74c..e38c8bc 100644
--- a/src/Castle.Core.Tests/TraceLoggerTests.cs
+++ b/src/Castle.Core.Tests/TraceLoggerTests.cs
@@ -29,83 +29,77 @@ namespace Castle.Core.Logging.Tests
 	public class TraceLoggerTests
 	{
 		[SetUp]
-		public void Initialize()
+		public void Initialize ()
 		{
-			Listener.ClearMessages();
+			Listener.ClearMessages ();
 		}
 
 		[TearDown]
-		public void Cleanup()
+		public void Cleanup ()
 		{
-			Listener.ClearMessages();
+			Listener.ClearMessages ();
 		}
 
 		[Test]
-		[Platform(Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
-		public void WritingToLoggerByType()
+		//		[Platform (Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
+		public void WritingToLoggerByType ()
 		{
-			TraceLoggerFactory factory = new TraceLoggerFactory();
-			ILogger logger = factory.Create(typeof(TraceLoggerTests), LoggerLevel.Debug);
-			logger.Debug("this is a tracing message");
+			TraceLoggerFactory factory = new TraceLoggerFactory ();
+			ILogger logger = factory.Create (typeof(TraceLoggerTests), LoggerLevel.Debug);
+			logger.Debug ("this is a tracing message");
 
-			Listener.AssertContains("testsrule", "Castle.Core.Logging.Tests.TraceLoggerTests");
-			Listener.AssertContains("testsrule", "this is a tracing message");
+			Listener.AssertContains ("testsrule", "Castle.Core.Logging.Tests.TraceLoggerTests");
+			Listener.AssertContains ("testsrule", "this is a tracing message");
 		}
 
 		[Test]
-		public void TracingErrorInformation()
+		public void TracingErrorInformation ()
 		{
-			TraceLoggerFactory factory = new TraceLoggerFactory();
-			ILogger logger = factory.Create(typeof(TraceLoggerTests), LoggerLevel.Debug);
-			try
-			{
-				try
-				{
+			TraceLoggerFactory factory = new TraceLoggerFactory ();
+			ILogger logger = factory.Create (typeof(TraceLoggerTests), LoggerLevel.Debug);
+			try {
+				try {
 					string fakearg = "Thisisavalue";
-					throw new ArgumentOutOfRangeException("fakearg", fakearg, "Thisisamessage" );
-				}
-				catch (Exception ex)
-				{
-					throw new ApplicationException("Inner error is " + ex.Message, ex);
+					throw new ArgumentOutOfRangeException ("fakearg", fakearg, "Thisisamessage");
+				} catch (Exception ex) {
+					throw new ApplicationException ("Inner error is " + ex.Message, ex);
 				}
-			}
-			catch (Exception ex)
-			{
-				logger.Error("Problem handled", ex);
+			} catch (Exception ex) {
+				logger.Error ("Problem handled", ex);
 			}
 
-			Listener.AssertContains("testsrule", "Castle.Core.Logging.Tests.TraceLoggerTests");
-			Listener.AssertContains("testsrule", "Problem handled");
-			Listener.AssertContains("testsrule", "ApplicationException");
-			Listener.AssertContains("testsrule", "Inner error is");
-			Listener.AssertContains("testsrule", "ArgumentOutOfRangeException");
-			Listener.AssertContains("testsrule", "fakearg");
-			Listener.AssertContains("testsrule", "Thisisavalue");
-			Listener.AssertContains("testsrule", "Thisisamessage");
+			Listener.AssertContains ("testsrule", "Castle.Core.Logging.Tests.TraceLoggerTests");
+			Listener.AssertContains ("testsrule", "Problem handled");
+			Listener.AssertContains ("testsrule", "ApplicationException");
+			Listener.AssertContains ("testsrule", "Inner error is");
+			Listener.AssertContains ("testsrule", "ArgumentOutOfRangeException");
+			Listener.AssertContains ("testsrule", "fakearg");
+			Listener.AssertContains ("testsrule", "Thisisavalue");
+			Listener.AssertContains ("testsrule", "Thisisamessage");
 		}
 
 		[Test]
-		[Platform(Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
-		public void FallUpToShorterSourceName()
+		//		[Platform (Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
+		public void FallUpToShorterSourceName ()
 		{
-			TraceLoggerFactory factory = new TraceLoggerFactory();
-			ILogger logger = factory.Create(typeof(Configuration.Xml.XmlConfigurationDeserializer), LoggerLevel.Debug);
-			logger.Info("Logging to config namespace");
+			TraceLoggerFactory factory = new TraceLoggerFactory ();
+			ILogger logger = factory.Create (typeof(Configuration.Xml.XmlConfigurationDeserializer), LoggerLevel.Debug);
+			logger.Info ("Logging to config namespace");
 
-			Listener.AssertContains("configrule", "Castle.Core.Configuration.Xml.XmlConfigurationDeserializer");
-			Listener.AssertContains("configrule", "Logging to config namespace");            
+			Listener.AssertContains ("configrule", "Castle.Core.Configuration.Xml.XmlConfigurationDeserializer");
+			Listener.AssertContains ("configrule", "Logging to config namespace");            
 		}
 
 		[Test]
-		[Platform(Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
-		public void FallUpToDefaultSource()
+		//		[Platform (Exclude = "mono", Reason = "Mono has a bug that causes the listeners to not fully work.")]
+		public void FallUpToDefaultSource ()
 		{
-			TraceLoggerFactory factory = new TraceLoggerFactory();
-			ILogger logger = factory.Create("System.Xml.XmlDocument", LoggerLevel.Debug);
-			logger.Info("Logging to non-configured namespace namespace");
+			TraceLoggerFactory factory = new TraceLoggerFactory ();
+			ILogger logger = factory.Create ("System.Xml.XmlDocument", LoggerLevel.Debug);
+			logger.Info ("Logging to non-configured namespace namespace");
 
-			Listener.AssertContains("defaultrule", "System.Xml.XmlDocument");
-			Listener.AssertContains("defaultrule", "Logging to non-configured namespace namespace");
+			Listener.AssertContains ("defaultrule", "System.Xml.XmlDocument");
+			Listener.AssertContains ("defaultrule", "Logging to non-configured namespace namespace");
 		}
 
 		#region in-memory listener class
@@ -116,50 +110,50 @@ namespace Castle.Core.Logging.Tests
 		/// </summary>
 		public class Listener : TraceListener
 		{
-			public Listener()
+			public Listener ()
 			{
 			}
 
-			public Listener(string initializationData)
+			public Listener (string initializationData)
 			{
 				traceName = initializationData;
 			}
 
-			static Dictionary<string, StringBuilder> traces = new Dictionary<string, StringBuilder>();
+			static Dictionary<string, StringBuilder> traces = new Dictionary<string, StringBuilder> ();
 			readonly string traceName;
 
-			StringBuilder GetStringBuilder()
+			StringBuilder GetStringBuilder ()
 			{
-				lock (traces)
-				{
-					if (!traces.ContainsKey(traceName))
-						traces.Add(traceName, new StringBuilder());
+				lock (traces) {
+					if (!traces.ContainsKey (traceName))
+						traces.Add (traceName, new StringBuilder ());
 
-					return traces[traceName];
+					return traces [traceName];
 				}
 			}
 
-			public override void Write(string message)
+			public override void Write (string message)
 			{
-				GetStringBuilder().Append(message);
+				GetStringBuilder ().Append (message);
 			}
 
-			public override void WriteLine(string message)
+			public override void WriteLine (string message)
 			{
-				GetStringBuilder().AppendLine(message);
+				GetStringBuilder ().AppendLine (message);
 			}
 
-			public static void AssertContains(string traceName, string expected)
+			public static void AssertContains (string traceName, string expected)
 			{
-				Assert.IsTrue(traces.ContainsKey(traceName), "Trace named {0} not found", traceName);
-				Assert.IsTrue(traces[traceName].ToString().Contains(expected), string.Format("Trace text expected to contain '{0}'", expected));
+				Assert.IsTrue (traces.ContainsKey (traceName), "Trace named {0} not found", traceName);
+				Assert.IsTrue (traces [traceName].ToString ().Contains (expected), string.Format ("Trace text expected to contain '{0}'", expected));
 			}
 
-			public static void ClearMessages()
+			public static void ClearMessages ()
 			{
-				traces = new Dictionary<string, StringBuilder>();
+				traces = new Dictionary<string, StringBuilder> ();
 			}
 		}
+
 		#endregion
 	}
 }
